Entity List
The entitylist endpoint returns all the entities which are available in the account. This allows users to retrieve the full scope of entities which can then be used in other requests. This endpoint does not require the entityId parameter to be present in the request.
For the full list of parameters accepted as well as which are required, see Parameters below. To view Sample response data, expand the menu under Responses and refer to the Example tab. To see the format of the response fields, as well as which are mandatory (that is, always returned in the response), select the tab Schema, and then expand object followed by content and finally object once more.
Request and Response
OK
Unique identifier of the entity the request was made for
36403Name of the entity the request was made for. For bookkeeping use-cases, this will contain the custodian name and portfolio code also.
HSBC (7095754)The entity type. This can be 'PORTFOLIO' or a Legal Entity.
PORTFOLIOPossible values: The entityId of the parent Legal Entity. Only available for entities with type = 'PORTFOLIO'.
36402Represents the account number or portfolio number, as provided by the custodian. This field is not created by Landytech. For bookkeeping use-cases, this will typically contain only one code per portfolio. This field will only be seen for entities which have type 'PORTFOLIO'.
7095754The reporting currency of the entity. This is the currency that all 'Rc' values for that entity will be reported in.
GBPIndication of whether the entity has been set up to support look-through. For bookkeeping use-cases, this will be false.
falseIf the entity is a portfolio, this reflects the custodian feeding the transactions and holdings
HSBCThe maximum date for which data is available for this entity
2025-05-13The minimum date for which data is available for this entity
2023-03-22The maximum valueDate of all transactions for this entity
2025-05-13The minimum valueDate of all transactions for this entity
2023-03-22GET /api/v1/entitylist HTTP/1.1
Host: data.api.landytech.net
Accept: */*
OK
[
{
"entityId": 36403,
"entityName": "HSBC (7095754)",
"type": "PORTFOLIO",
"legalEntityId": 36402,
"portfolioCode": 7095754,
"reportingCurrency": "GBP",
"lookThroughEnabled": false,
"custodian": "HSBC",
"latestPublishedDate": "2025-05-13",
"firstPublishedDate": "2023-03-22",
"latestTransactionDate": "2025-05-13",
"firstTransactionDate": "2023-03-22"
}
]Last updated
Was this helpful?